package com.common.constants;

import android.support.annotation.DrawableRes;

import tech.starwin.R;

/**
 * Created by SiKang on 2018/10/26.
 * 同盾ChannelCode
 */
public enum TDChannel {
    FACEBOOK("103001", R.drawable.ic_facebook),
    LAZADA("101001", R.drawable.ic_lazada),
    TOKOPEDIA("101002", R.drawable.ic_tokopedia),
    SIM("106001", R.drawable.ic_facebook),
    NPWP("105001", R.drawable.ic_npwp),
    GOJEK("104001", R.drawable.ic_gojek),
    GRAB("104002", R.drawable.ic_grab),
    TELKOMSEL("102001", R.drawable.ic_telkomsel),
    XL("102002", R.drawable.ic_xl),
    INDOSAT("102003", R.drawable.ic_indosat),
    WHATSAPP("103003", R.drawable.ic_whatsapp),
    BPJS("105002", R.drawable.ic_facebook),
    INSTAGRAM("103002", R.drawable.ic_facebook),
    LINKEDIN("903004", R.drawable.ic_facebook);

    private String value;
    @DrawableRes
    private int icon;

    TDChannel(String value, @DrawableRes int icon) {
        this.value = value;
        this.icon = icon;
    }

    public int getIcon() {
        return icon;
    }

    public String getValue() {
        return value;
    }
}

